using Godot;
using GodotSteam;
public partial class SteamworksHandler : Node
{
	public override void _Ready()
	{
		return;
		SteamInitExStatus status = Steam.SteamInitEx(false).Status;
		if (status != 0)
		{
			GD.Print("Steam not initialized!");
			return;
		}

		GD.Print("Steam initialized!");
		GD.Print("User: " + Steam.GetPersonaName());
	}

	public override void _Process(double delta)
	{
		Steam.RunCallbacks();
	}

	public override void _ExitTree()
	{
		Steam.SteamShutdown();
	}
}
